Bug 623130 - Poor Wi-Fi performance on Atheros AR5001X+
Summary: Poor Wi-Fi performance on Atheros AR5001X+
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-11 12:20 UTC by Peter Ryzhenkov
Modified: 2011-05-12 18:20 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-12 18:20:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 30342 None None None Never
Launchpad 568090 None None None Never

Description Peter Ryzhenkov 2010-08-11 12:20:41 UTC
Description of problem:
Very poor performance on Atheros AR5001X+ Wireless Network Adapter. It is solved by installing the latest madwifi drivers (svn checkout http://madwifi-project.org/svn/madwifi/trunk madwifi) and blacklisting th ath5k driver.

lspci -vv says:
02:00.0 Ethernet controller: Atheros Communications Inc. Atheros AR5001X+ Wireless Network Adapter (rev 01)
	Subsystem: D-Link System Inc D-Link AirPlus DWL-G650 Wireless Cardbus Adapter(rev.C)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 96 (2500ns min, 7000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at e4000000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath_pci
	Kernel modules: ath_pci, ath5k

Comment 1 John W. Linville 2010-08-11 14:44:03 UTC
Please define "very poor performance".  How did you measure it?  What are the effects?  Etc?  Also, what kernel are you running?

Comment 2 Peter Ryzhenkov 2010-08-11 15:11:51 UTC
$ uname -r
2.6.33.6-147.2.4.fc13.i686

Speed drops then freeses if I try to open up some "heavy" sites like neowin.net that open up many connections simultaneously on load. ssh connections to the server in my LAN freese on the password verification stage. This problem exists in many other distros as well, i.e. Ubuntu.

Comment 3 Chuck Ebbert 2010-08-30 08:49:35 UTC
kernel-2.6.34.6-47 has been released as an update for Fedora 13. Please try that when it becomes available.

Comment 4 Peter Ryzhenkov 2010-08-30 17:31:06 UTC
Not sure I understood you right. This problem exists not in Fedora only.

Comment 5 Chuck Ebbert 2010-09-01 09:44:36 UTC
(In reply to comment #4)
> Not sure I understood you right. This problem exists not in Fedora only.

And you've confirmed it still exists in 2.6.34.6, on Fedora or some other distribution?

Comment 6 Peter Ryzhenkov 2010-09-01 11:04:44 UTC
Well, it's here in my Ubuntu Lucid 2.6.32-24 as well. Not sure of 2.6.34.6. Gonna check it out.

Comment 7 John W. Linville 2010-09-15 18:06:35 UTC
Peter, ping?

Comment 8 Peter Ryzhenkov 2010-11-19 18:36:35 UTC
I'll do it tomorrow when I get my hands on the notebook. But as far as I can remember everything's fine with ping.

Comment 9 Peter Ryzhenkov 2010-11-20 07:13:19 UTC
Tested as I promised. The ping times are fine. 153 to 159 ms. No chokes. My Ethernet connected PC shows about the same results (148-150 ms).

Fedora 14 on both.

Should I supply more data?

Comment 10 Peter Ryzhenkov 2010-11-20 07:22:13 UTC
Sorry, forgot to mention, I've been pinging the good old neowin.net.

Comment 11 John W. Linville 2011-01-13 19:09:05 UTC
Well, it's been a while...comment 8 to comment 10 suggest that things were working better back in November?

Is this still a problem with currently updated Fedora kernels?

Comment 12 Peter Ryzhenkov 2011-01-15 06:22:33 UTC
>Well, it's been a while...comment 8 to comment 10 suggest that things were
working better back in November?
Nope. Pings are fine but the system still chokes trying to load 'heavy' sites. I think it happens because of multiple connections opened simultaneously that doesn't affect ping.

>Is this still a problem with currently updated Fedora kernels?
Haven't tested with the latest kernels but I'll certainly do in a day or two.

Comment 13 John W. Linville 2011-03-02 13:55:13 UTC
Any chance that this relates to packet size?  (See linked kernel.org bug.)

If you load the ath5k module with "nohwcrypt" parameter, does performance improve?

Comment 14 John W. Linville 2011-05-12 18:20:56 UTC
Closing due to lack of response...


Note You need to log in before you can comment on or make changes to this bug.